/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Template: twentytwentyfive
Author: the WordPress team
Author URI: https://wordpress.org
Description: Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,style-variations,accessibility-ready,blog,portfolio,news
Version: 1.4.1766128416
Updated: 2025-12-19 07:13:36

*/
/* ================================
   Local Fonts – Ankastra
================================ */

/* Berkshire Swash */
@font-face {
  font-family: 'Berkshire Swash';
  src: url('./fonts/berkshire-swash-v22-latin-regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Cormorant Garamond */
@font-face {
  font-family: 'Cormorant Garamond';
  src: url('./fonts/cormorant-garamond-v21-latin-300.woff2') format('woff2');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Cormorant Garamond';
  src: url('./fonts/cormorant-garamond-v21-latin-400.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Cormorant Garamond';
  src: url('./fonts/cormorant-garamond-v21-latin-500.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Cormorant Garamond';
  src: url('./fonts/cormorant-garamond-v21-latin-600.woff2') format('woff2');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Cormorant Garamond';
  src: url('./fonts/cormorant-garamond-v21-latin-700.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

/* Josefin Sans */
@font-face {
  font-family: 'Josefin Sans';
  src: url('./fonts/josefin-sans-v34-latin-regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Josefin Sans';
  src: url('./fonts/josefin-sans-v34-latin-500.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Josefin Sans';
  src: url('./fonts/josefin-sans-v34-latin-600.woff2') format('woff2');
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Josefin Sans';
  src: url('./fonts/josefin-sans-v34-latin-700.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

:root{
	--fontColor1:#CC9E75;
  --ani-distance: 60px;
  --ani-delay: 0s;
  --ani-duration: 0.6s;
  --ani-opacity-duration: 0.4s;
  --ani-rotate: 180deg;
  --ani-scale-from: 0.4;
  --ani-scale-to: 1;
}

html{
	font-size: 18px;
}

*{
  box-sizing: border-box;
}

body{
	margin:0;
	padding:0;
	font-family: "Josefin Sans", sans-serif;
	font-weight: 400;
	font-size:1rem;
  font-synthesis: none;
}
@media screen and (max-width:400px){
  body{
    font-size:0.9rem;
  }
}

h1{
	font-family: "Berkshire Swash", serif;
	font-weight: 400;
}

h2{
  font-size:2rem;
  margin-top:0;
}

h3{
  font-size:1.7rem;
}

h2,h3,h4{
	font-family: "Cormorant Garamond", serif;
	font-weight: 700;
}

:where(.wp-site-blocks :focus) {
    outline-style:none !important;
}

:where(.wp-site-blocks :focus-visible) {
    outline-style:none !important;
}

.btn{
  text-transform: uppercase;
  display: inline-block;
  background: #ffe066;
  color: #000;
  padding: 13px 30px 10px 30px;
  border-radius: 10px;
  font-weight: 700;
  text-decoration: none;
  text-wrap-mode: nowrap;
  max-width: max-content;
  transition: all 0.2s ease;

  &:hover{
	background: #FFD700;
  }

  @media screen and (max-width:767px){
    text-wrap-mode: wrap;
    padding: 10px 15px;
  }
}


/* site animation css start */
.ani-btn {
  transition: transform 0.2s ease;
  will-change: transform;
}

@media (hover: hover) {
  .ani-btn:hover {
    transform: translateY(-5px);
  }
}

.ani-rotate-icon {
  --ani-duration: 0.9s;
  --ani-opacity-duration: 0.4s;

  opacity: 0;
  transform: scale(var(--ani-scale-from)) rotate(0deg);
}

.ani-rotate-icon.is-visible {
  transform: scale(var(--ani-scale-to)) rotate(var(--ani-rotate)) !important;
}

.has-animation {
  opacity: 0;
  transition:
    transform var(--ani-duration) ease-out,
    opacity var(--ani-opacity-duration) ease-out;
  transition-delay: var(--ani-delay);
  will-change: transform, opacity;

  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  transform-style: preserve-3d;
}

.has-animation.is-visible {
  opacity: 1;
  transform: translate(0, 0) scale(1) rotate(0deg);
}


.ani-slide-t2b {
  --ani-distance: 150px;
  transform: translateY(calc(var(--ani-distance) * -1));
}

@media (max-width: 767px) {
  .ani-slide-t2b {
    --ani-distance: 50px;
  }
}


.ani-slide-b2t {
  --ani-distance: 150px;
  transform: translateY(var(--ani-distance));
}

@media (max-width: 767px) {
  .ani-slide-b2t {
    --ani-distance: 50px;
  }
}

.ani-slide-l2r {
  --ani-distance: 50%;
  transform: translateX(calc(var(--ani-distance) * -1));
}

@media (max-width: 767px) {
  .ani-slide-l2r {
    --ani-distance: 25%;
  }
}

.ani-slide-r2l {
  --ani-distance: 50%;
  transform: translateX(var(--ani-distance));
}

@media (max-width: 767px) {
  .ani-slide-r2l {
    --ani-distance: 25%;
  }
}

@media (prefers-reduced-motion: reduce) {
  .has-animation {
    opacity: 1 !important;
    transform: none !important;
    transition: none !important;
  }
}

.ani-fade-out {
  opacity: 0;
  transform: none;
}
/* site animation css end */


/* header css start */
/* home page transparent header css start */
.page-id-736{
  .wp-site-blocks{
    > header{
      position: relative;
      z-index: 11;
      .header-content{
        background-color: transparent !important;
      }
    }
    > main {
      margin-top: -83px !important;

      .head-section {
        .hero-content {
            z-index: 3;
            max-width: 775px;
            padding-top: 175px;
            color: #fff;
            .section-button-top{
              top:125px;
            }
        }
      }

    }
  }
}
/* home page transparent header css end */
header{
  @media screen and (min-width:1200px){
    div:has(>nav){
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      width: max-content;
    }
    nav{
      .wp-block-navigation__container{
        gap: 10px !important;
        li{
          a.wp-block-navigation-item__content{
            border: 1px solid var(--fontColor1);
            padding: 10px 17px;
            text-decoration: none;
            color: var(--fontColor1) !important;
            text-align: center;
            border-radius: 5px;
            text-transform: uppercase;
            font-size: 13px;
            line-height: normal;
            background: #44023d;
          }
        }
        li:last-child a{
          background: #ffe066;
          border-color: #ffe066;
          color: #0a0a0a !important;
          font-weight: 600;
          transition: transform 0.2s ease;

          &:hover{
            background: #FFD700;
            border-color: #FFD700;
          }
        }
      }
    }
  }
  @media screen and (min-width:1400px){
    nav{
      .wp-block-navigation__container{
        gap: 25px !important;
        li{
          a.wp-block-navigation-item__content{
            font-size: 15px;
          }
        }
      }
    }  
  }

  @media screen and (max-width: 1199px) {
    .wp-block-site-logo{
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
    }
    .wp-block-navigation__responsive-container-open {
      display: flex !important;
    }

    .wp-block-navigation__responsive-container-close{
      right: auto;
      top: 30px;
      left: 30px;
    }

    .wp-block-navigation__responsive-container {
      display: none !important;

      &.is-menu-open{
        display: block !important;
        background: linear-gradient(0deg, #44023d 0%, #150F3DCC 100%);
        color:#ffffff !important;
        
        .wp-block-navigation__responsive-container-content{
          padding-top: 85px;
          padding-left: 30px;
          align-items: flex-start;

          > ul.wp-block-navigation__container {
            align-items: flex-start !important;

            .wp-block-navigation-item__content{
              font-size: 18px;
              font-weight:600;
              font-family: "Josefin Sans", sans-serif;

              &:hover{
                text-decoration: none;
              }
            }
          }
        }
      }
    }
  }
}
/* header css end */


/* footer css start */
footer{
  .footer-policy-links{
    .wp-block-button__link{
      font-size: 14px !important;
      padding-top:7px !important;
      padding-bottom:7px !important;
    }
  }

  .footer-strip{
    .footer-strip-content{
      p{
        font-size: 14px !important;
        color: #c5c5c5 !important;
      }
    }
  }

  @media screen and (min-width:768px){
    .footer-strip{
      .footer-strip-content{
        p{
          position: absolute;
          left: 50%;
          transform: translateX(-50%);
        }
      }
    }
  }
  @media screen and (max-width:767px){
    .footer-policy-links{
      padding: 20px 0 !important;
      .wp-block-buttons{
        gap: 10px;
      }
      .wp-block-button__link{
        padding:7px !important;
      }
    }
    .footer-strip{
      .footer-strip-content{
        flex-direction: column;
        gap: 8px;
        p{
          font-size: 12px !important;
          color: #c5c5c5 !important;
          margin-bottom: 10px;
        }
      }
    }
  }
  @media screen and (max-width:400px){
    .footer-policy-links{
      .wp-block-button__link{
        font-size: 12px !important;
      }
    }
  }
}

.page-template:has(.sticky-announcement) footer{
  margin-bottom: 108px;
}
/* footer css end */


/* default page css start */
.page-template-default{
  h1,h2,h3{
    color:var(--fontColor1);
    font-family: "Josefin Sans", sans-serif;
  }
  h1{
    font-family: "Berkshire Swash", Sans-serif;
    font-size: 2.65rem;
    font-weight:700;
    margin-bottom: 90px;
    text-align: center;
    position: relative;

    &:after{
      content:"";
      position:absolute;
      display: inline-block;
      width:150px;
      height:3px;
      background-color: var(--fontColor1);
      bottom: -40px;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  h2{
    font-size: 1.55rem;
    margin: 25px 0 15px 0;
  }
  @media screen and (max-width:767px){
    h1{
      font-size: 2rem;
      margin-bottom: 55px;
      &:after{
        content:"";
        position:absolute;
        display: inline-block;
        width:100px;
        bottom: -25px;
      }
    }
    h2{
      font-size: 1.25rem;
    }
  }
}
/* default page css end */


/* formidable form global css start*/
.frm_forms{
  fieldset *{
    font-family: "Josefin Sans", sans-serif;
  }
  .frm_submit{
    text-align: center;
  }
  .custom-date-field{
    width: 100%;
    height: 42px;
    padding: 10px;
    border-radius: 6px;
    background-color: var(--bg-color);
    overflow: hidden !important;
    color: var(--text-color);
    font-size: var(--field-font-size);
    border:none;

    &:focus-visible{
      outline:none;
    }
  }

  .frm_button_submit{
    font-weight:600 !important;
  }
  @media screen and (max-width:400px){
    .frm_button_submit{
      font-size:0.9rem !important;
    }
  }

  .gender-radio { margin-top:5px; }

  .gender-radio .frm_primary_label { color:#ffffff; }

  .gender-radio div[role="radiogroup"] {
    display: flex;
    gap: 40px;
    margin-top:5px;
  }

  .custom-date-field[type="date"] {
    color: transparent !important;
    caret-color: transparent;
    cursor:pointer;
  }

  .custom-date-field[type="date"].has-value {
    color: #000 !important;
    caret-color: #000;
  }

  .custom-date-field[type="date"]:focus {
    color: #000 !important;
    caret-color: #000;
  }

  .hidden-dob { position: relative; }

  .fake-placeholder {
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--text-color-disabled);
    pointer-events: none;
    font-size: 18px;
  }

  .custom-date-field[type="date"].has-value + .fake-placeholder { display:none; }

  .custom-date-field[type="date"]:focus + .fake-placeholder { display:none !important; }

}
/* formidable form global css end*/


/* exhibition form page css start*/
.page-id-516{
  .hero-overlay{
    height:100vh;
  }
  .hero-content{
    height:100vh;
  }
}
.exhibition-form{
  max-width: 600px;
  margin: auto;
  label{
    color:#fff !important;
  }
  fieldset *{
    font-family: "Josefin Sans", sans-serif;
  }
  .frm_submit{
    margin-top: 5px;
    text-align: center;
  }
}
/* exhibition form page css end*/


/* exhibition thankyou page css start */
.page-id-527{
  .hero-overlay{
    height:100vh;
  }
  .hero-content{
    height:100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    .hero-desc{
      margin-top:0 !important;
    }
  }
}
/* exhibition thankyou page css end */


/* heart number calculator page css start */
.page-id-626,
.page-id-771{
  .two-column-layout{
    min-height:100vh;
    padding:clamp(3rem, 8vw, 4rem) 4rem;
    @media screen and (max-width:1100px){
      padding:clamp(3rem, 8vw, 4rem) 1rem;
    }
    .left-wrapper{
      max-height: fit-content;
      align-self: flex-start;
    }
    .content-wrapper{
      .heart-calculator{
        max-width: 550px;
        margin: auto;
        label{
          color:#fff !important;
        }

        .frm_message:has(> .messageWrapper) {
          margin: 0 !important;
          
          background-color: transparent !important;
          color: #fff !important;
          font-size: var(--success-font-size) !important;
          text-align: center !important;
          ul,ol{
            text-align: left !important;
          }
          
          transition: all 0.5 ease-in-out;

          .messageWrapper{
            grid-template-columns: 1fr;
            justify-content: space-evenly;
            display: grid;
            gap:0;
            border: 1px dashed var(--fontColor1) !important;
            padding: 30px 20px !important;
            border-radius: 7px !important;
          }
        }
      }

      @media screen and (max-width:900px){
        .heart-calculator{
          .frm_message:has(> .messageWrapper) {
            padding:0;
          }
        }
      }
    }
  }
}
/* heart number calculation page css end */


/* couple heart number calculation page css start */
.page-id-757{
  .two-column-layout{
    min-height:100vh;
    grid-template-columns: 1fr;
    padding:clamp(3rem, 8vw, 4rem) 4rem;
    @media screen and (max-width:1100px){
      padding:clamp(3rem, 8vw, 4rem) 1rem;
    }
    .left-wrapper{
      align-self: center;
      max-width: 600px;
      width:100%;
      margin: auto;
      display: none;
    }
    .content-wrapper{
      .couple-heart-calculator{
        label{
          color:#fff !important;
        }
        .frm_fields_container{
          grid-template-columns: 400px 400px;
          justify-content: center;
          > *{
            grid-column: auto;
          }
          #frm_field_47_container{
            grid-area: auto / -3 / auto / -1;
            max-width: 500px;
            margin-left: auto;
            margin-right: auto;
            width: 100%;

            .frm_button_submit{
              width: 100%;
            }
          }
        }

        .frm_message:has(> .messageWrapper) {
          margin: 0 !important;
          
          background-color: transparent !important;
          color: #fff !important;
          font-size: var(--success-font-size) !important;
          text-align: center !important;
          ul,ol{
            text-align: left !important;
          }
          
          transition: all 0.5s ease-in-out;

          .messageWrapper{
            grid-template-columns: 1fr 1fr;
            justify-content: space-evenly;
            display: grid;
            gap: 5%;

            .message{
              border: 1px dashed var(--fontColor1) !important;
              padding: 30px 20px !important;
              border-radius: 7px !important;
            }
          }
        }

      }

      @media screen and (max-width:900px){
        .couple-heart-calculator{
          .frm_fields_container{
            grid-template-columns: 1fr 1fr;
          }
          .frm_message:has(> .messageWrapper) {
            padding: 0;
            .messageWrapper{
              grid-template-columns: 1fr;
              gap: 35px;

              .message{
                border: 1px dashed var(--fontColor1) !important;
                padding: 30px 20px !important;
                border-radius: 7px !important;
              }
            }
          }
        }
      }
      @media screen and (max-width:767px){
        .couple-heart-calculator{
          .frm_fields_container{
            grid-template-columns: 1fr;

            #frm_field_40_container{
              grid-area: 2;
            }
            #frm_field_41_container{
              grid-area: 3;
            }
            #frm_field_44_container{
              grid-area: 4;
            }
            #frm_field_45_container{
              grid-area: 5;
            }
          }
          

        }
      }
    }
  }
}
/* couple heart number calculation page css start */



